Loading...
Searching...
No Matches
pcl::PackedHSIComparison< PointT > Class Template Reference

A packed HSI specialization of the comparison object. More...

`#include <pcl/filters/conditional_removal.h>`

Inheritance diagram for pcl::PackedHSIComparison< PointT >:

## Public Types

enum | ComponentId { H , S , I }
using | Ptr = shared_ptr< PackedHSIComparison< PointT > >
using | ConstPtr = shared_ptr< const PackedHSIComparison< PointT > >
Public Types inherited from pcl::ComparisonBase< PointT >
using | Ptr = shared_ptr< ComparisonBase< PointT > >
using | ConstPtr = shared_ptr< const ComparisonBase< PointT > >

## Public Member Functions

| PackedHSIComparison (const std::string &component_name, ComparisonOps::CompareOp op, double compare_val)
| Construct a PackedHSIComparison.
| ~PackedHSIComparison () override=default
| Destructor.
bool | evaluate (const PointT &point) const override
| Determine the result of this comparison.
Public Member Functions inherited from pcl::ComparisonBase< PointT >
| ComparisonBase ()=default
| Constructor.
virtual | ~ComparisonBase ()=default
| Destructor.
bool | isCapable () const
| Return if the comparison is capable.

## Protected Attributes

std::string | component_name_
| The name of the component.
ComponentId | component_id_
| The ID of the component.
double | compare_val_
| All types (that we care about) can be represented as a double.
std::uint32_t | rgb_offset_
| The offset of the component.
Protected Attributes inherited from pcl::ComparisonBase< PointT >
bool | capable_ {false}
| True if capable.
std::string | field_name_
| Field name to compare data on.
std::uint32_t | offset_ {0}
| The data offset.
ComparisonOps::CompareOp | op_ {ComparisonOps::GT}
| The comparison operator type.

## Detailed Description

template<typename PointT>
class pcl::PackedHSIComparison< PointT >

A packed HSI specialization of the comparison object.

Definition at line 241 of file conditional_removal.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT >

using pcl::PackedHSIComparison< PointT >::ConstPtr = shared_ptr<const PackedHSIComparison<PointT> >

Definition at line 248 of file conditional_removal.h.

## Ptr

template<typename PointT >

using pcl::PackedHSIComparison< PointT >::Ptr = shared_ptr<PackedHSIComparison<PointT> >

Definition at line 247 of file conditional_removal.h.

## Member Enumeration Documentation

## ComponentId

template<typename PointT >

enum pcl::PackedHSIComparison::ComponentId

Enumerator
H |
S |
I |

Definition at line 267 of file conditional_removal.h.

## Constructor & Destructor Documentation

## PackedHSIComparison()

template<typename PointT >

pcl::PackedHSIComparison< PointT >::PackedHSIComparison | ( | const std::string & | component_name,
|  | ComparisonOps::CompareOp | op,
|  | double | compare_val
| ) |  |

Construct a PackedHSIComparison.

Parameters

  component_name | either "h", "s" or "i"
  op | the operator to use when making the comparison
  compare_val | the constant value to compare the component value too

Definition at line 222 of file conditional_removal.hpp.

References pcl::ComparisonBase< PointT >::capable_, pcl::PackedHSIComparison< PointT >::component_id_, pcl::PCLPointField::FLOAT32, pcl::PackedHSIComparison< PointT >::H, pcl::PackedHSIComparison< PointT >::I, pcl::PCLPointField::INT32, pcl::ComparisonBase< PointT >::op_, pcl::PackedHSIComparison< PointT >::rgb_offset_, pcl::PackedHSIComparison< PointT >::S, and pcl::PCLPointField::UINT32.

## ~PackedHSIComparison()

template<typename PointT >

pcl::PackedHSIComparison< PointT >::~PackedHSIComparison | ( |  | ) |

override default

Destructor.

## Member Function Documentation

## evaluate()

template<typename PointT >

bool pcl::PackedHSIComparison< PointT >::evaluate | ( | const PointT & | point | ) | const

override virtual

Determine the result of this comparison.

Parameters

  point | the point to evaluate

Returns
  the result of this comparison.

Implements pcl::ComparisonBase< PointT >.

Definition at line 289 of file conditional_removal.hpp.

References pcl::ComparisonOps::EQ, pcl::ComparisonOps::GE, pcl::ComparisonOps::GT, pcl::ComparisonOps::LE, pcl::ComparisonOps::LT, and M_PI.

## Member Data Documentation

## compare_val_

template<typename PointT >

double pcl::PackedHSIComparison< PointT >::compare_val_

protected

All types (that we care about) can be represented as a double.

Definition at line 282 of file conditional_removal.h.

## component_id_

template<typename PointT >

ComponentId pcl::PackedHSIComparison< PointT >::component_id_

protected

The ID of the component.

Definition at line 279 of file conditional_removal.h.

Referenced by pcl::PackedHSIComparison< PointT >::PackedHSIComparison().

## component_name_

template<typename PointT >

std::string pcl::PackedHSIComparison< PointT >::component_name_

protected

The name of the component.

Definition at line 276 of file conditional_removal.h.

## rgb_offset_

template<typename PointT >

std::uint32_t pcl::PackedHSIComparison< PointT >::rgb_offset_

protected

The offset of the component.

Definition at line 285 of file conditional_removal.h.

Referenced by pcl::PackedHSIComparison< PointT >::PackedHSIComparison().

The documentation for this class was generated from the following files:

- pcl/filters/conditional_removal.h
- pcl/filters/impl/conditional_removal.hpp